/* font */
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+KR:wght@100;200;300;400;500;600;700;800;900&display=swap');
@import url('https://webfontworld.github.io/SCoreDream/SCoreDream.css');

/*--- base ---*/
@-ms-viewport {
    width: device-width;
}

@o-viewport {
    width: device-width;
}

@viewport {
    width: device-width;
}

:root {
    /* brand color */
    --primary-color: #085F4C;
    --secondary-color:#32d590;
    /*color */
    --background-color: #F8F8F8; 
    --border-color: #CCCCCC;
    --black-color: #141515;
    --white-color: #FFF;
    --font-color: #182024;
    --gray1-color: #888888;
    --gray2-color: #F4F4F4;
    --green-color: #21D59B;
    --orange-color: #F99600;
    --yellow-color: #FFC700;
    --blue-color: #57B8FF;
    --red-color: #F0142F;
    --pink-color: #ff3686;
    /* ui */
    --transition: 0.25s ease-in-out;
    --box-shadow: 0 0 10px rgb(0 0 0 / 10%);
    /* font size */
    --f-big: 40px;
    --f-large: 28px;
    --f-middle: 20px; 
    --f-normal: 18px;
    --f-small: 16px;
    --f-caption: 12px;
}

html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,abbr,acronym,address,big,cite,code,del,dfn,em,img,ins,kbd,q,s,samp,small,strike,strong,sub,sup,tt,var,b,u,i,center,dl,dt,dd,ol,ul,li,fieldset,form,label,legend,table,caption,tbody,tfoot,thead,tr,th,td,article,aside,canvas,details,embed,figure,figcaption,footer,header,hgroup,menu,nav,output,ruby,section,summary,time,mark,audio,video,button {
    font-family: 'SCoreDream';
    font-family: 'Noto Sans KR', sans-serif;
}

/* base */
* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    word-break: keep-all;
    font-size: 14px;
    color: var(--font-color);
}

body::-webkit-scrollbar {
    display: none;
}

body {
    scrollbar-width: none;
    -ms-overflow-style: none;
}

html{
    overflow-x: hidden;
}

::selection {
    background-color: var(--primary-color);
    color: #fff;
}

label {
    cursor: pointer;
}

a,
a:link,
a:visited {
    text-decoration: none;
    transition: var(--transition);
}

ul,
ol,
li {
    list-style: none;
}

[type='text']:focus,
[type='email']:focus,
[type='url']:focus,
[type='password']:focus,
[type='number']:focus,
[type='date']:focus,
[type='datetime-local']:focus,
[type='month']:focus,
[type='search']:focus,
[type='tel']:focus,
[type='time']:focus,
[type='week']:focus,
[multiple]:focus,
textarea:focus,
select:focus {
    border-color: var(--border-color);
    --tw-ring-color: var(--border-color);
}

.btn,
select,
option,
input {
    height: 50px;
    font-family: 'Noto Sans KR', sans-serif;
}

.btn {
    border: 1px solid inherit;
    opacity: 1;
    transition: var(--transition);
    cursor: pointer;
    font-weight: 500;
    font-size: var(--f-normal);
    letter-spacing: 1px;
    border-radius: 4px;
}

.btn:hover {
    opacity: .8;
}

select,
input,
textarea {
    border: 1px solid var(--border-color);
    border-color: var(--border-color);
    padding: 8px 14px;
    font-family: 'Noto Sans KR', sans-serif;
}

select {
    cursor: pointer;
}

input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

[type='checkbox'],
[type='radio'] {
    color: var(--primary-color);
}

[type='checkbox']:checked,
[type='radio']:checked {
    border-color: var(--border-color);
}

input::placeholder {
    color: var(--font-color);
    font-size: 12px;
}

.mobile {
    display: none;
}

b {
    font-weight: 700;
}

.text-primary {
    color: var(--primary-color);
}

button {
    border-color: transparent;
    cursor: pointer;
    font-weight: 500;
}

.btn-primary {
    background-color: var(--primary-color);
    color: #FFF;
}

.btn-outline {
    border: 1px solid var(--primary-color);
    color: var(--primary-color);
    background-color: #FFF;
}

